SYMPA(1)

NAME
sympa, sympa.pl - Command line utility to manage Sympa

SYNOPSIS
sympa.pl [ -d, --debug ] [ -f, --file=another.sympa.conf ]
      [ -l, --lang=lang ] [ -m, --mail ]
      [ -h, --help ] [ -v, --version ]

      [ --import=listname ]
      [ --close_list=list[@robot] ]
      [ --purge_list=list[@robot] ]
      [ --lowercase ] [ --make_alias_file ]
      [ --dump=listname | ALL ]

DESCRIPTION
NOTE: On overview of Sympa documentation see sympa_toc(1).

Sympa.pl is invoked from command line then performs various administration tasks.

OPTIONS
sympa.pl may run with following options in general.

-d, --debug
    Enable debug mode.

-f, --config=file
    Force Sympa to use an alternative configuration file instead of /var/sympa/etc/sympa.conf.

-l, --lang=lang
    Set this option to use a language for Sympa. The corresponding gettext catalog file must be located in /usr/local/share/locale directory.

--log_level=level
    Sets Sympa log level.

With the following options sympa.pl will run in batch mode:

--add_list=family_name --robot=robot_name --input_file=/path/to/file.xml
    Add the list described by the file.xml under robot_name, to the family family_name.

--change_user_email --current_email=xx --new_email=xx
    Changes a user email address in all Sympa databases (subscriber_table, list config, etc) for all virtual robots.

--close_family=family_name --robot=robot_name
    Close lists of family_name family under robot_name.

--close_list=list[@robot]
    Close the list (changing its status to closed), remove aliases and remove subscribers from DB (a dump is created in the list directory to allow restoring the list)

--conf_2_db
    Load sympa.conf and each robot.conf into database.

--create_list --robot=robot_name --input_file=/path/to/file.xml
    Create a list with the XML file under robot robot_name.

--dump=list@dom|"ALL"
    Dumps subscribers of for `listname' list or all lists. Subscribers are dumped in subscribers.db.dump.

--health_check
    Check if sympa.conf, robot.conf of virtual robots and database structure are correct. If any errors occur, exits with non-zero status.

--import=list@dom
    Import subscribers in the list. Data are read from standard input. The imported data should contain one entry per line : the first field is an email address, the second (optional) field is the free form name. Fields are spaces-separated.

    Sample:

        ## Data to be imported
        ## email        gecos
        john.steward@some.company.com           John - accountant
        mary.blacksmith@another.company.com     Mary - secretary

--instantiate_family=family_name --robot=robot_name --input_file=/path/to/file.xml [--close_unknown] [--quiet]
    Instantiate family_name lists described in the file.xml under robot_name. The family directory must exist; automatically close undefined lists in a new instantiation if --close_unknown is specified; do not print report if "--quiet" is specified.

--lowercase
    Lowercases email addresses in database.

--make_alias_file [ --robot robot ]
    Create an aliases file in /tmp/ with all list aliases. It uses the list_aliases.tt2 template (useful when list_aliases.tt2 was changed).

--md5_encode_password
    Rewrite password in "user_table" of database using MD5 fingerprint. YOU CAN'T UNDO unless you save this table first.

    Note that this option was obsoleted. Use upgrade_sympa_password(1).

--modify_list=family_name --robot=robot_name --input_file=/path/to/file.xml
    Modify the existing list installed under the robot robot_name and that belongs to the family family_name. The new description is in the "file.xml".

--purge_list=list[@robot]
    Remove the list (remove archive, configuration files, users and owners in admin table. Restore is not possible after this operation.

--reload_list_config [--list=mylist@mydom] [--robot=mydom]
    Recreates all config.bin files or cache in "list_table". You should run this command if you edit authorization scenarios. The list and robot parameters are optional.

--rename_list=listname@robot --new_listname=newlistname --new_listrobot=newrobot
    Renames a list or move it to another virtual robot.

--send_digest [--keep_digest]
    Send digest right now. If --keep_digest is specified, stocked digest will not be removed.

--sync_include=listname@robot
    Trigger the list members update.

--sync_list_db [ --list=listname@robot ]
    Syncs filesystem list configs to the database cache of list configs, optionally syncs an individual list if specified.

--test_database_message_buffer
    Note: This option was deprecated.

    Test the database message buffer size.

--upgrade [--from=X] [--to=Y]
    Runs Sympa maintenance script to upgrade from version X to version Y.

--upgrade_shared [--list=X] [--robot=Y]>
    Rename files in shared.

With following options sympa.pl will print some information and exit.

-h, --help
    Print this help message.

--md5_digest=password
    Output a MD5 digest of a password (useful for SOAP client trusted application).

-v, --version
    Print the version number.

FILES
/var/sympa/etc/sympa.conf main configuration file.

SEE ALSO
sympa_toc(1).

HISTORY
This program was originally written by:

Serge Aumont
    Comité Réseau des Universités

Olivier Salaün
    Comité Réseau des Universités

As of Sympa 6.2b.4, it was split into three programs: sympa.pl command line utility, sympa_automatic.pl daemon and sympa_msg.pl daemon.